package com.nailabs.abac.process;

import java.io.*;
import com.nailabs.abac.test.*;

/**
 * Operations are performed on trust target graph objects. Operations are 
 * generally edge operations (between nodes in a trust target graph, but
 * there is one node operation for creating a root node.
 */
public interface Operation extends Serializable, XMLizable{
    /** Execute the operation on the specified trust target graph. */ 
    public void perform(TTG graph);

    /** Convert this operation into an XML compatible format */
    public String toXML();
}

